Endpoint
POST /mfa/associate
Associates or adds a new authenticator for multi-factor authentication (MFA).
If the user has active authenticators, an Access Token with the enroll scope and the audience set to https://{yourDomain}/mfa/ is required to use this endpoint.
If the user has no active authenticators, you can use the mfa_token from the mfa_required error in place of an Access Token for this request.
After an authenticator is added, it must be verified. To verify the authenticator, use the response values from the /mfa/associate request in place of the values returned from the /mfa/challenge endpoint and continue with the verification flow.
A recovery_codes field is included in the response the first time an authenticator is added. You can use recovery_codes to pass multi-factor authentication as shown on Verify with recovery code above.
To access this endpoint, you must set an Access Token at the Authorization header, with the following claims:
scope:enrollaudience:https://{yourDomain}/mfa/
Body Parameters
A JWT containing a signed assertion with your application credentials. Required when Private Key JWT is your application authentication method.
The value is
urn:ietf:params:oauth:client-assertion-type:jwt-bearer. Required when Private Key JWT is the application authentication method.Your application’s Client Secret. Required when the Token Endpoint Authentication Method field in your Application Settings is
Post or Basic.